/***************************************************************************
 *   Copyright (C) 2010 by                                                 *
 *                                                                         *
 *   catWorkX GmbH, Schellerdamm 16, 21079 Hamburg                         *                                                                         
 *   Sebastian Gerdes <sebastian.gerdes_AT_catworkx.de>                    *
 *                                                                         *
 *   This code is part of the Zarafa 2 LDAP tool, which is able to export  *
 *   private and/or public contacts from Zarafa to a LDAP server           * 
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU Affero General Public License as        *
 *   published by the Free Software Foundation; either version 3           *
 *   of the License, or (at your option) any later version.                *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the          *
 *   GNU AFFERO GENERAL PUBLIC LICENSE for more details.                   *
 *                                                                         *
 *   You should have received a copy of the GNU Affero General Public      *
 *   License along with this program.  If not, see                         *
 *   <http://www.gnu.org/licenses/>                                        *
 *                                                                         *
 ***************************************************************************/

package de.catworkx.zarafa.zarafa2ldap;

public class MapicontactsldapsoapPortTypeProxy implements de.catworkx.zarafa.zarafa2ldap.MapicontactsldapsoapPortType {
  private String _endpoint = null;
  private de.catworkx.zarafa.zarafa2ldap.MapicontactsldapsoapPortType mapicontactsldapsoapPortType = null;
  
  public MapicontactsldapsoapPortTypeProxy() {
    _initMapicontactsldapsoapPortTypeProxy();
  }
  
  public MapicontactsldapsoapPortTypeProxy(String endpoint) {
    _endpoint = endpoint;
    _initMapicontactsldapsoapPortTypeProxy();
  }
  
  private void _initMapicontactsldapsoapPortTypeProxy() {
    try {
      mapicontactsldapsoapPortType = (new de.catworkx.zarafa.zarafa2ldap.MapicontactsldapsoapLocator()).getmapicontactsldapsoapPort();
      if (mapicontactsldapsoapPortType != null) {
        if (_endpoint != null)
          ((javax.xml.rpc.Stub)mapicontactsldapsoapPortType)._setProperty("javax.xml.rpc.service.endpoint.address", _endpoint);
        else
          _endpoint = (String)((javax.xml.rpc.Stub)mapicontactsldapsoapPortType)._getProperty("javax.xml.rpc.service.endpoint.address");
      }
      
    }
    catch (javax.xml.rpc.ServiceException serviceException) {}
  }
  
  public String getEndpoint() {
    return _endpoint;
  }
  
  public void setEndpoint(String endpoint) {
    _endpoint = endpoint;
    if (mapicontactsldapsoapPortType != null)
      ((javax.xml.rpc.Stub)mapicontactsldapsoapPortType)._setProperty("javax.xml.rpc.service.endpoint.address", _endpoint);
    
  }
  
  public de.catworkx.zarafa.zarafa2ldap.MapicontactsldapsoapPortType getMapicontactsldapsoapPortType() {
    if (mapicontactsldapsoapPortType == null)
      _initMapicontactsldapsoapPortTypeProxy();
    return mapicontactsldapsoapPortType;
  }
  
  public de.catworkx.zarafa.zarafa2ldap.Users[] getPrivateContactFolders() throws java.rmi.RemoteException{
    if (mapicontactsldapsoapPortType == null)
      _initMapicontactsldapsoapPortTypeProxy();
    return mapicontactsldapsoapPortType.getPrivateContactFolders();
  }
  
  public de.catworkx.zarafa.zarafa2ldap.Folders[] getPublicContactFolders() throws java.rmi.RemoteException{
    if (mapicontactsldapsoapPortType == null)
      _initMapicontactsldapsoapPortTypeProxy();
    return mapicontactsldapsoapPortType.getPublicContactFolders();
  }
  
  
}